Package org.apache.tomcat.util.descriptor.web

## Class SecurityRoleRef

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.SecurityRoleRef

All Implemented Interfaces:
  `java.io.Serializable`

    public class SecurityRoleRef
    extends java.lang.Object
    implements java.io.Serializable

Representation of a security role reference for a web application, as represented in a `<security-role-ref>` element in the deployment descriptor.

Since:
  Tomcat 5.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
`SecurityRoleRef()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getLink()`
`java.lang.String` `getName()`
`void` `setLink​(java.lang.String link)`
`void` `setName​(java.lang.String name)`
`java.lang.String` `toString()` Return a String representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SecurityRoleRef

    public SecurityRoleRef()

### Method Detail

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### getLink

    public java.lang.String getLink()

#### setLink

    public void setLink​(java.lang.String link)

#### toString

    public java.lang.String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `java.lang.Object`